Bug 963292 - Review Request: perl-SOOT - Use ROOT from Perl
Review Request: perl-SOOT - Use ROOT from Perl
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On: 963136
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 11:09 EDT by Petr Pisar
Modified: 2013-05-29 07:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-SOOT-0.17-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 07:41:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-05-15 11:09:45 EDT
Spec URL: http://ppisar.fedorapeople.org/perl-SOOT/perl-SOOT.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-SOOT/perl-SOOT-0.17-1.fc20.src.rpm
Description:
SOOT is a Perl extension for using the ROOT library. It is very similar to the
Ruby-ROOT or PyROOT extensions for their respective languages. Specifically,
SOOT was implemented after the model of Ruby-ROOT.

Fedora Account System Username: ppisar
Comment 1 Petr Šabata 2013-05-27 11:28:08 EDT
Ok, looks good except for one missing BR: perl(constant), t/045tf1.t:3
Comment 2 Petr Pisar 2013-05-28 02:53:12 EDT
You are right. Updated package is at the same locator.
Comment 3 Petr Šabata 2013-05-28 05:10:20 EDT
--- a/perl-SOOT.spec
+++ b/perl-SOOT.spec
@@ -33,6 +33,7 @@ BuildRequires:  perl(File::Basename)
 BuildRequires:  perl(overload)
 BuildRequires:  perl(XSLoader)
 # Tests:
+BuildRequires:  perl(constant)
 BuildRequires:  perl(Test::More)
 Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
 Requires:       perl(Carp) >= 1.01

--
Approving.
Comment 4 Petr Pisar 2013-05-28 05:14:48 EDT
New Package SCM Request
=======================
Package Name: perl-SOOT
Short Description: Use ROOT from Perl
Owners: ppisar jplesnik psabata
Branches: 
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2013-05-28 11:39:41 EDT
Git done (by process-git-requests).
Comment 6 Petr Pisar 2013-05-29 07:41:16 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.